Skip to main content
PUT
/
hubs
/
{hub_id}
cURL
curl -i -X PUT "https://api.box.com/2.0/hubs/12345" \
     -H "box-version: 2025.0" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "title": "Updated Hub Title",
       "description": "Updated description of the Box Hub."
     }'
client.hubs.update_hub_by_id_v2025_r0(
hub_id, title=new_hub_title, description=new_hub_description
)
await client.hubs.updateHubByIdV2025R0(hubId, {
title: newHubTitle,
description: newHubDescription,
} satisfies HubUpdateRequestV2025R0);
try await client.hubs.updateHubByIdV2025R0(hubId: hubId, requestBody: HubUpdateRequestV2025R0(title: newHubTitle, description: newHubDescription))
client.getHubs().updateHubByIdV2025R0(hubId, new HubUpdateRequestV2025R0.Builder().title(newHubTitle).description(newHubDescription).build())
await client.Hubs.UpdateHubByIdV2025R0Async(hubId: hubId, requestBody: new HubUpdateRequestV2025R0() { Title = newHubTitle, Description = newHubDescription });
{
  "id": "12345",
  "type": "hubs",
  "title": "Contracts",
  "description": "All the contracts for the company.",
  "created_at": "2012-12-12T10:53:43Z",
  "updated_at": "2012-12-12T10:53:43Z",
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "updated_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "view_count": 506,
  "is_ai_enabled": true,
  "is_collaboration_restricted_to_enterprise": true,
  "can_non_owners_invite": true,
  "can_shared_link_be_created": true,
  "can_public_shared_link_be_created": true,
  "copy_hub_access": "company"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2025.0

Path Parameters

hub_id
string
required

The unique identifier that represent a hub.

The ID for any hub can be determined by visiting this hub in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/hubs/123 the hub_id is 123.

Body

application/json

Request schema for updating an existing Box Hub.

title
string

Title of the Box Hub. It cannot be empty and should be less than 50 characters.

Maximum string length: 50
Example:

"Hub Title"

description
string

Description of the Box Hub.

Example:

"This is a description of the Box Hub."

is_ai_enabled
boolean

Indicates if AI features are enabled for the Box Hub.

Example:

true

is_collaboration_restricted_to_enterprise
boolean

Indicates if collaboration is restricted to the enterprise.

Example:

true

can_non_owners_invite
boolean

Indicates if non-owners can invite others to the Box Hub.

Example:

true

Indicates if a shared link can be created for the Box Hub.

Example:

true

Indicates if a public shared link can be created for the Box Hub.

Example:

true

copy_hub_access
enum<string>

Specifies who is allowed to copy the Box Hub.

  • all - Any user with access to the Hub can copy it.
  • company - Only users within the same enterprise as the Hub can copy it.
  • none - No one can copy the Hub.
Available options:
all,
company,
none
Example:

"company"

Response

Returns a Hub object.

A standard representation of a Box Hub, as returned from any Box Hubs API endpoints by default.

id
string
required

The unique identifier that represent a Box Hub.

The ID for any Box Hub can be determined by visiting a Box Hub in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/hubs/123 the hub_id is 123.

Example:

"12345"

type
enum<string>
required

The value will always be hubs.

Available options:
hubs
Example:

"hubs"

title
string

The title given to the Box Hub.

Example:

"Contracts"

description
string

The description of the Box Hub. First 200 characters are returned.

Example:

"All the contracts for the company."

created_at
string<date-time>

The date and time when the folder was created. This value may be null for some folders such as the root folder or the trash folder.

Example:

"2012-12-12T10:53:43Z"

updated_at
string<date-time>

The date and time when the Box Hub was last updated.

Example:

"2012-12-12T10:53:43Z"

created_by
User (Mini) · object

The user who created this Box Hub.

updated_by
User (Mini) · object

The user who last modified this Box Hub.

view_count
integer<int32>

The number of views for the Box Hub.

Example:

506

is_ai_enabled
boolean

Indicates if AI features are enabled for the Box Hub.

Example:

true

is_collaboration_restricted_to_enterprise
boolean

Indicates if collaboration is restricted to the enterprise.

Example:

true

can_non_owners_invite
boolean

Indicates if non-owners can invite others to the Box Hub.

Example:

true

Indicates if a shared link can be created for the Box Hub.

Example:

true

Indicates if a public shared link can be created for the Box Hub.

Example:

true

copy_hub_access
enum<string>

Specifies who is allowed to copy the Box Hub.

  • all - Any user with access to the Hub can copy it.
  • company - Only users within the same enterprise as the Hub can copy it.
  • none - No one can copy the Hub.
Available options:
all,
company,
none
Example:

"company"

Last modified on January 23, 2026